//Anzia & Jackman replication code, JOP
//May 6, 2012

** Table 2:  Committee blocking

xi: reg majroll_rate hearing_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
estimates store m1, title(Model 1)

xi: reg majroll_rate reporting_jan  majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
estimates store m2, title(Model 2)

tab reporting_jan hearing_jan if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H"
cor reporting_jan hearing_jan if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H"

* Hearing and reporting together
xi: reg majroll_rate i.hearing_jan*i.reporting_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
lincom _Ihearing_j_1+ _Ireporting_1+ _IheaXrep_1_1
estimates store m3, title(Model 3)

* Combined "blocking" variable
xi: reg majroll_rate comblock_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
estimates store m4, title(Model 4)

* Interacted with vote variable
xi: reg majroll_rate i.comblock_jan*vote_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
lincom _Icomblock__1+ _IcomXvote__1
estimates store m5, title(Model 5)

estout m1 m2 m3 m4 m5, style(tex) starlevels($^{\dagger}$ 0.20 $^{*}$ 0.10 $^{**}$ 0.02) cells(b(star fmt(3)) se(par fmt(3))) stats(r2 N)

** Table 3:  Calendar blocking (and calendar/committee combo blocking)


*Majcom sets and maj leader sets
xi: reg majroll_rate majcom_jan majleader_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
estimates store m2, title(Model 1)

*Can't reject that coefficients are same, so group together
xi: reg majroll_rate majsets_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
estimates store m3, title(Model 2)

* Comblock2 and majsets
xi: reg majroll_rate comblock2_jan majsets_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
estimates store m4, title(Model 3)

* Comblock2 and majsets, interacted
xi: reg majroll_rate i.comblock2_jan*majsets_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
lincom majsets_jan+_Icomblock2_1+_IcomXmajse_1
estimates store m5, title(Model 4)

* Comblock2 and majsets, interacted, final passage votes only
xi: reg majroll_rate_fp i.comblock2_jan*majsets_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
lincom majsets_jan+_Icomblock2_1+_IcomXmajse_1
estimates store m6, title(Model 5)

estout m1 m2 m3 m4 m5, style(tex) starlevels($^{\dagger}$ 0.20 $^{*}$ 0.10 $^{**}$ 0.02) cells(b(star fmt(3)) se(par fmt(3))) stats(r2 N)

/* Appendix */
/*Table 1*/

/*Table 1*/

*Exclude cases where did not receive survey response or where there was a major rule change in the last 10 years
xi: reg majroll_rate i.comblock2_jan*majsets_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H" & rules_change~=1, robust
lincom majsets_jan+_Icomblock2_1+_IcomXmajse_1
estimates store m1, title(Model 1)

*Tobit
intreg majroll_rate1 majroll_rate2 majsets_int_comblock2 comblock2_jan majsets_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
lincom majsets_int_comblock2+comblock2_jan+majsets_jan 
estimates store m2, title(Model 2)

* Simple regression
reg majroll_rate majparty_size, robust
estimates store m3, title(Model 3)

*Rules
xi: reg majroll_rate rules majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
estimates store m4, title(Model 4)

*Rules controlling for comblock
reg majroll_rate rules comblock2_jan majparty_size intraparty_het shor_mediandiff if chamber~="Washington_H" &chamber~="Nebraska_S" &chamber~="Virginia_H", robust
estimates store m5, title(Model 5)

estout m1 m2 m3 m4 m5, style(tex) starlevels($^{\dagger}$ 0.20 $^{*}$ 0.10 $^{**}$ 0.02) cells(b(star fmt(3)) se(par fmt(3))) stats(r2 N)



//Appendix Table 2: Alternative measueres of party preference heterogeneity
*Shor measure--with sd
xi: reg majroll_rate i.comblock2_jan*majsets_jan majparty_size  shor_intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
lincom majsets_jan+_Icomblock2_1+_IcomXmajse_1
estimates store m1, title(Model 1)

*Aldrich and Rohde "Measuring Conditional Party Government"
/*The ratio of the standard deviation of ideal points in the Democratic party to that of
the full House, which indicates variation in intra-party homogeneity.*/
xi: reg majroll_rate i.comblock2_jan*majsets_jan majparty_size  ar_intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
lincom majsets_jan+_Icomblock2_1+_IcomXmajse_1
estimates store m2, title(Model 1)

*NPAT only Interparty het
xi: reg majroll_rate i.comblock2_jan*majsets_jan majparty_size intraparty_het npat_interpartyhet ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
lincom majsets_jan+_Icomblock2_1+_IcomXmajse_1
estimates store m3, title(Model 3)

*NPAT only Inter and Intraparty het
xi: reg majroll_rate i.comblock2_jan*majsets_jan majparty_size npat_intraparty_het npat_interpartyhet ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
lincom majsets_jan+_Icomblock2_1+_IcomXmajse_1
estimates store m4, title(Model 4)

estout m1 m2 m3 m4, style(tex) starlevels($^{\dagger}$ 0.20 $^{*}$ 0.10 $^{**}$ 0.02) cells(b(star fmt(3)) se(par fmt(3))) stats(r2 N)




** Table 3:  Committee blocking

xi: reg majroll_rate_fp hearing_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
estimates store m1, title(Model 1)

xi: reg majroll_rate_fp reporting_jan  majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
estimates store m2, title(Model 2)

xi: reg majroll_rate_fp i.hearing_jan*reporting_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
 lincom _Ihearing_j_1+ _IheaXrepor_1+ reporting_jan
 estimates store m3, title(Model 3)

xi: reg majroll_rate_fp comblock_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
estimates store m4, title(Model 4)

xi: reg majroll_rate_fp i.comblock_jan*vote_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
lincom _Icomblock__1+ _IcomXvote__1
estimates store m5, title(Model 5)

estout m1 m2 m3 m4 m5, style(tex) starlevels($^{\dagger}$ 0.20 $^{*}$ 0.10 $^{**}$ 0.02) cells(b(star fmt(3)) se(par fmt(3))) stats(r2 N)


** Table 4:  Calendar blocking (and calendar/committee combo blocking)

*Rules
xi: reg majroll_rate_fp rules majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
estimates store m1, title(Model 1)

*Majcom sets and maj leader sets
xi: reg majroll_rate_fp majcom_jan majleader_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
estimates store m2, title(Model 2)

*Can't reject that coefficients are same, so group together
xi: reg majroll_rate_fp majsets_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
estimates store m3, title(Model 3)

* Comblock2 and majsets
xi: reg majroll_rate_fp comblock2_jan majsets_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
estimates store m4, title(Model 4)

* Comblock2 and majsets, interacted
xi: reg majroll_rate_fp i.comblock2_jan*majsets_jan majparty_size intraparty_het shor_mediandiff ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
estimates store m5, title(Model 5)
lincom majsets_jan+ _Icomblock2_1+ _IcomXmajse_1

estout m1 m2 m3 m4 m5, style(tex) starlevels($^{\dagger}$ 0.20 $^{*}$ 0.10 $^{**}$ 0.02) cells(b(star fmt(3)) se(par fmt(3))) stats(r2 N)

/*Table 5: Testing alternative explanations*/

* Control for upper chambers
xi: reg majroll_rate i.comblock2_jan*majsets_jan majparty_size intraparty_het shor_mediandiff senate ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
lincom majsets_jan+ _Icomblock2_1+ _IcomXmajse_1
estimates store m1, title(Model 1)

* Two ways of controlling for legislative professionalism

xi: reg majroll_rate i.comblock2_jan*majsets_jan majparty_size intraparty_het shor_mediandiff score_1996 ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
lincom majsets_jan+ _Icomblock2_1+ _IcomXmajse_1
estimates store m2, title(Model 2)

* Interact any form of blocking with citizen legislatures
xi: reg majroll_rate i.block_jan*citizen majparty_size intraparty_het shor_mediandiff  ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", robust
lincom _Iblock_jan_1+ _IbloXcitiz_1+citizen
estimates store m3, title(Model 3)

* State fixed effects 
xi: xtreg majroll_rate i.comblock2_jan*majsets_jan majparty_size intraparty_het ///
if chamber~="Washington_H" & chamber~="Nebraska_S" & chamber~="Virginia_H", fe robust
lincom majsets_jan+ _Icomblock2_1+ _IcomXmajse_1
estimates store m4, title(Model 4)

estout m1 m2 m3 m4, style(tex) starlevels($^{\dagger}$ 0.20 $^{*}$ 0.10 $^{**}$ 0.02) cells(b(star fmt(3)) se(par fmt(3))) stats(r2 N)

